function onBegin()
    if getFlag("badheo_meet_done") then
        return
    end
    player.ForceCameraUpdate = true
    player.DummyAutoAnimate = true
    disableMovement()
    waitUntilOnGround()
    setFlag("flag_theo_held", true)
    walkTo(3210)
    miniTextbox("AnEnormousSmileyFace_RestlessDays_badheo_sees")
    jumpTo(3270)
    jumpTo(3310)
    jumpTo(3360)
    jumpTo(3415)
    jumpTo(3465)
    enableMovement()
end

function jumpTo(dist)
    jump()
    walkTo(dist)
    waitUntilOnGround()
end

function onEnd()
    enableMovement()
    setFlag("badheo_meet_done", true)
end